# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [2.4.0](https://github.com/andres-kovalev/immutable-object-update/compare/2.3.1...2.4.0) (2019-12-10)


### Features

* implemented `get()` helper ([6f59f4e](https://github.com/andres-kovalev/immutable-object-update/commit/6f59f4e9115c18b6f2aadb267bf57b3f19b164d3))

### [2.3.1](https://github.com/andres-kovalev/immutable-object-update/compare/2.3.0...2.3.1) (2019-11-04)


### Bug Fixes

* array item update by string index ([47da0df](https://github.com/andres-kovalev/immutable-object-update/commit/47da0df2eaad6073459cee42be9733a81d856991))
* modified CI configuration for README check ([d62d5ae](https://github.com/andres-kovalev/immutable-object-update/commit/d62d5ae1846fed9b1fd1d520e301d517151173c4))
* modified path conversion ([38e8116](https://github.com/andres-kovalev/immutable-object-update/commit/38e8116387e1a4cfc4a4d45c8d8c10d5a68e3a5c))

## [2.3.0](https://github.com/andres-kovalev/immutable-object-update/compare/2.2.0...2.3.0) (2019-11-01)


### Features

* added `filter()` operation ([215e322](https://github.com/andres-kovalev/immutable-object-update/commit/215e3225b8833e74b73b96c370df181b015a57c3))
* added `insert()` and `insertAll()` operations ([819b9ca](https://github.com/andres-kovalev/immutable-object-update/commit/819b9cae32e0e64ecfd09aed409200ab7d074551))
* added `map()` operation ([bb30de5](https://github.com/andres-kovalev/immutable-object-update/commit/bb30de57bce7e42ad6e080c492d53515ec37acd5))
* added `pop()` and `popN()` operations ([b2b6a23](https://github.com/andres-kovalev/immutable-object-update/commit/b2b6a23fd7fd17169a65a8c23f2d68178cfe2cac))
* added `push()` and `pushAll()` operations ([d7a527c](https://github.com/andres-kovalev/immutable-object-update/commit/d7a527c223ad944a562fac95eacafffe90ba6446))
* added `reduce()` operation ([d4fe4bb](https://github.com/andres-kovalev/immutable-object-update/commit/d4fe4bbf167952c219c57561fd91caeaf77f7872))
* added `removeN()` operation ([0dce914](https://github.com/andres-kovalev/immutable-object-update/commit/0dce9143e24f5b6ed9cd4abd9e964ed312a4942c))
* added `shift()` and `shiftN()` operations ([e0ff8e6](https://github.com/andres-kovalev/immutable-object-update/commit/e0ff8e64f2633be64dcfda49e7b6650feae3dcbb))
* added `unshift()` and `unshiftAll()` operations ([9c47290](https://github.com/andres-kovalev/immutable-object-update/commit/9c4729079b15a6f50b4d78090cf42d045b8758d3))


### Bug Fixes

* fixed `remove()` operation to not create intermediate items ([ad32ea5](https://github.com/andres-kovalev/immutable-object-update/commit/ad32ea5d31e1c2fbf36ac9129fd7f3c01cc2f790))
* fixed README auto-generation ([437b628](https://github.com/andres-kovalev/immutable-object-update/commit/437b628785a8f51559e211ead0f18ae54f07aed4))


### Improvements

* refactored generate-readmes.js helper a bit ([7ada431](https://github.com/andres-kovalev/immutable-object-update/commit/7ada431658d6823c8a3b936a84a42cd00cf72cc1))

## [2.2.0](https://github.com/andres-kovalev/immutable-object-update/compare/2.1.0...2.2.0) (2019-10-21)


### Features

* added functional helpers (`pipe()` and  `apply()`) ([9e8f36b](https://github.com/andres-kovalev/immutable-object-update/commit/9e8f36ba0a0ff1ad3d986c21c97f4946babfb17f))
* added partial application support ([6807c8a](https://github.com/andres-kovalev/immutable-object-update/commit/6807c8a0e76742d32121e50b9a58c30a60209b75))
* enhance operations to return frozen object ([5ae2547](https://github.com/andres-kovalev/immutable-object-update/commit/5ae25478ac19ce5dd10308a19e0016806366fdf2))

## [2.1.0](https://github.com/andres-kovalev/immutable-object-update/compare/2.0.1...2.1.0) (2019-10-20)


### Features

* exported `update()` operation ([c8cc35e](https://github.com/andres-kovalev/immutable-object-update/commit/c8cc35eedb0b2f9cb493b659aafcab640878c4d8))
* implemented `remove()` operation ([b72cf7d](https://github.com/andres-kovalev/immutable-object-update/commit/b72cf7d0d82c09fab8dad4a6f61ac980b25b1fa0))


### Improvements

* extracted `update()` function ([ccfd659](https://github.com/andres-kovalev/immutable-object-update/commit/ccfd659013af76427ee3ca83e81a9cd02665289f))

### [2.0.1](https://github.com/andres-kovalev/immutable-object-update/compare/2.0.0...2.0.1) (2019-10-20)


### Bug Fixes

* **ci:** fix publish flow ([807988c](https://github.com/andres-kovalev/immutable-object-update/commit/807988cd1ab5b1a26c112853753b74fd4d83eece))

## [2.0.0](https://github.com/andres-kovalev/immutable-object-update/compare/1.0.0...2.0.0) (2019-10-19)


### ⚠ BREAKING CHANGES

* export structure updated

### Features

* re-implemented basic feature as a `set` operation ([315df41](https://github.com/andres-kovalev/immutable-object-update/commit/315df4143daa8a0909132e65433f4a49146d4188))

## 1.0.0

### Features

* implemented basic functionality ([0a81146](https://github.com/andres-kovalev/immutable-object-update/tree/0a81146cede53cfb79af995c37c690f5e26f6302))
